# wxPrintDialog Class Reference
[Printing Framework]

`#include <wx/printdlg.h>`

Inheritance diagram for wxPrintDialog:
[legend]

## Detailed Description

This class represents the print and print setup common dialogs.

You may obtain a wxPrinterDC device context from a successfully dismissed print dialog.

##

Library: wxCore

Category: Printing Framework

See also:
  Printing Framework Overview, wxPrintDialog Overview

## Public Member Functions
| wxPrintDialog (wxWindow *parent, wxPrintDialogData *data=NULL)
| Constructor.
virtual | ~wxPrintDialog ()
| Destructor.
virtual wxDC * | GetPrintDC ()
| Returns the device context created by the print dialog, if any.
virtual wxPrintDialogData & | GetPrintDialogData ()
| Returns the print dialog data associated with the print dialog.
virtual int | ShowModal ()
| Shows the dialog, returning `wxID_OK` if the user pressed OK, and `wxID_CANCEL` otherwise.

List of all members.

## Constructor & Destructor Documentation

wxPrintDialog::wxPrintDialog | ( | wxWindow * | parent,
|  | wxPrintDialogData * | data = `NULL` |
| ) |  |  |

Constructor.

Pass a parent window, and optionally a pointer to a block of print data, which will be copied to the print dialog's print data.

See also:
  wxPrintDialogData

virtual wxPrintDialog::~wxPrintDialog | ( |  | ) | `[virtual]`

Destructor.

If GetPrintDC() has not been called, the device context obtained by the dialog (if any) will be deleted.

## Member Function Documentation

virtual wxDC* wxPrintDialog::GetPrintDC | ( |  | ) | `[virtual]`

Returns the device context created by the print dialog, if any.

When this function has been called, the ownership of the device context is transferred to the application, so it must then be deleted explicitly.

virtual wxPrintDialogData& wxPrintDialog::GetPrintDialogData | ( |  | ) | `[virtual]`

Returns the print dialog data associated with the print dialog.

virtual int wxPrintDialog::ShowModal | ( |  | ) | `[virtual]`

Shows the dialog, returning `wxID_OK` if the user pressed OK, and `wxID_CANCEL` otherwise.

After this function is called, a device context may be retrievable using GetPrintDC().

Reimplemented from wxDialog.

|  | [ top ]